<?php
// -----------------------------------------------------------------------
// Uhrumstellung von Sommer- auf Winterzeit und umgekehrt
// Script: sgs-visual.de 2024
//
// Dieses Script darf nur mit der Quellenangabe (sgs-visual.de) genutzt werden!
// Dieses Script darf nicht auf anderen Domains angeboten oder verkauft werden!
//
// Ich übernehme keine Haftung für die Funktionalität meines Scriptes oder Korrektheit der ausgegeben Daten.
// Es gibt keinen Anspruch auf Schadens- oder Ersatzansprüche durch die Nutzung des Scriptes.
// Es gibt keinen Support für Probleme, die bei der Anpassung des Scriptes entstehen können.
// -----------------------------------------------------------------------

    $aktuellesJahr = date('Y');	

?>

<!DOCTYPE html>
<html lang="de">
  <head>
    <title>Uhrumstellung</title>
    <meta charset="utf-8" />
    <meta http-equiv="content-language" content="de" />
    <meta name="description" content="Termine für die Uhrumstellung Sommer- und Normalzeit" />
    <meta name="author" content="Stefan G. Schiffer" />
    <meta http-equiv="last-modified" content="2024-04-12"/>
    <meta name="viewport" content="width=device-width, initial-scale=1" />

  </head>
    <body>
      <style>

        .box {
         border-radius: 25px;
         background: #FFFFFF;
         padding: 0px;
         width: 315px;
         height: auto;
         border: 0px dotted #000000;
         }

        .tab {
         border-collapse:collapse;
         font-family: Arial, Helvetica, Verdana, Tahoma, sans-serif;
         color: #000000;
         font-size: 14px;
         font-style: normal;
         }

         .tab_raum {
         padding: 5px;
         }

         .zeitraum_sommer {
         font-family: Arial, Helvetica, Verdana, Tahoma, sans-serif;
         color: #E88000;
         font-style: bold;
         font-size: 16px;
         text-shadow: 1px 1px #62758B;
         }

         .zeitraum_winter {
         font-family: Arial, Helvetica, Verdana, Tahoma, sans-serif;
         color: #218BDD;
         font-style: bold;
         font-size: 16px;
         text-shadow: 1px 1px #62758B;
         }

         .zeitraum_heute {
         font-family: Arial, Helvetica, Verdana, Tahoma, sans-serif;
         color: #000000;
         font-style: bold;
         font-size: 16px;
         text-shadow: 1px 1px #62758B;
         }

         .quelle {
         font-family: Arial, Helvetica, Verdana, Tahoma, sans-serif;
         color: #585858;
         text-decoration: none;
         font-size: 8px;
         }

      </style>
     </body>
   </html>

<?php

               $textarray = array(

// Sommerzeit 2024 --------------------------------------------------------------------------

	array("from"=>"2024-03-11", "to"=>"2024-10-26", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_sommer'>Aktuell gilt die Sommerzeit</b><br>Am <b>27.10.2024</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2024-10-27", "to"=>"2024-10-27", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2024-2025 --------------------------------------------------------------------

	array("from"=>"2024-11-04", "to"=>"2025-03-29", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>29.03.2025</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2025-03-30", "to"=>"2025-03-30", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2025  --------------------------------------------

	array("from"=>"2025-03-31", "to"=>"2025-10-25", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>26.10.2025</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2025-10-26", "to"=>"2025-10-26", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2025-2026 --------------------------------------------------------------------

	array("from"=>"2025-10-27", "to"=>"2026-03-28", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>29.03.2026</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2026-03-29", "to"=>"2026-03-29", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2026   ----------------------------------------------------------

	array("from"=>"2026-03-30", "to"=>"2026-10-24", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>25.10.2026</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2026-10-25", "to"=>"2026-10-25", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2026-2027 --------------------------------------------------------------------

	array("from"=>"2026-10-26", "to"=>"2027-03-27", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>28.03.2027</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2027-03-28", "to"=>"2027-03-28", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2027   -----------------------------------------------------------------------------

	array("from"=>"2027-03-29", "to"=>"2027-10-30", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>31.10.2027</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2027-10-31", "to"=>"2027-10-31", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2027-2028 --------------------------------------------------------------------

	array("from"=>"2027-11-01", "to"=>"2028-03-26", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>27.03.2028</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2028-03-27", "to"=>"2028-03-27", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2028   -----------------------------------------------------------------------------

	array("from"=>"2028-03-28", "to"=>"2028-10-28", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>29.10.2028</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2028-10-29", "to"=>"2028-10-29", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2028-2029  --------------------------------------------------------------------

	array("from"=>"2028-10-30", "to"=>"2029-03-24", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>25.03.2029</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2029-03-25", "to"=>"2029-03-25", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2029   -----------------------------------------------------------------------------

	array("from"=>"2029-03-26", "to"=>"2029-10-27", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>28.10.2029</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2029-10-28", "to"=>"2029-10-28", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2029-2030 --------------------------------------------------------------------

	array("from"=>"2029-10-29", "to"=>"2030-03-30", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>31.03.2030</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2030-03-31", "to"=>"2030-03-31", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2030   -----------------------------------------------------------------------------

	array("from"=>"2030-04-01", "to"=>"2030-10-26", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>27.10.2030</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2030-10-27", "to"=>"2030-10-27", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2030-2031 --------------------------------------------------------------------

	array("from"=>"2030-10-28", "to"=>"2031-03-29", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>30.03.2031</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2031-03-30", "to"=>"2031-03-30", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2031   -----------------------------------------------------------------------------

	array("from"=>"2031-03-31", "to"=>"2031-10-25", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>26.10.2031</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2031-10-26", "to"=>"2031-10-26", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2031-2032 --------------------------------------------------------------------

	array("from"=>"2031-10-27", "to"=>"2032-03-27", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>28.03.2032</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2032-03-28", "to"=>"2032-03-28", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2032   -----------------------------------------------------------------------------

	array("from"=>"2032-03-29", "to"=>"2032-10-30", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>31.10.2032</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2032-10-31", "to"=>"2032-10-31", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2032-2033 --------------------------------------------------------------------

	array("from"=>"2032-11-08", "to"=>"2033-03-26", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>27.03.2033</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2033-03-27", "to"=>"2033-03-27", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2033   -----------------------------------------------------------------------------

	array("from"=>"2033-03-28", "to"=>"2033-10-29", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>30.10.2033</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2033-10-30", "to"=>"2033-10-30", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2033-2034 --------------------------------------------------------------------

	array("from"=>"2033-10-31", "to"=>"2034-03-25", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>26.03.2034</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2034-03-26", "to"=>"2034-03-26", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2034   -----------------------------------------------------------------------------

	array("from"=>"2034-03-27", "to"=>"2034-10-28", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>29.10.2034</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2034-10-29", "to"=>"2034-10-29", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Winterzeit 2034-2035 --------------------------------------------------------------------

	array("from"=>"2034-10-30", "to"=>"2035-03-24", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Winterzeit</b><br>Am <b>25.03.2035</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2035-03-25", "to"=>"2035-03-25", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/sommerzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>02:00 Uhr</b> auf <b>03:00 Uhr Sommerzeit</b> vor gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// Sommerzeit 2035   -----------------------------------------------------------------------------

	array("from"=>"2035-03-26", "to"=>"2035-10-27", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_winter'>Aktuell gilt die Sommerzeit</b><br>Am <b>28.10.2035</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

	array("from"=>"2035-10-28", "to"=>"2035-10-28", "text"=>"<div class='box'><table class='tab'><tr><td class='tab_raum'>&emsp;<img src='szwz/winterzeit.png'>&emsp;</td><td class='tab_raum'><b class='zeitraum_heute'>Heute Nacht Uhr umstellen!</b><br><b>Heute Nacht</b> wird die Uhr von <b>03:00 Uhr</b> auf <b>02:00 Uhr Winterzeit [Normalzeit]</b> zur&uuml;ck gestellt.<br><br><center><b><i class='quelle'>Quelle: &copy;  <a class='quelle' href='https://www.sgs-visual.de'>sgs-visual.de</a> $aktuellesJahr &emsp;&emsp;&#128194; </b>PHP-Script</i></center></td></tr></div>"),

// -----------------------------------------------------------------------------------

	);
	$now = strtotime("now");


	for ($i = 0, $found = FALSE; $i < count($textarray) && !$found; $i++) {
		$from = strtotime($textarray[$i]["from"]);
		if (array_key_exists("to", $textarray[$i])) $to = strtotime($textarray[$i]["to"]);
		else $to = $from;
		$to = strtotime("+1 day", $to);


		if ($now >= $from && $now < $to) $found = TRUE;
	}
	if ($found) echo($textarray[$i - 1]["text"]);


	?>